Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 86367 - Install do not correctly set grub options for serial console
Summary: Install do not correctly set grub options for serial console
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: anaconda
Version: 2.1
Hardware: i686
OS: Linux
medium
low
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-03-20 19:31 UTC by Salvatore Insalaco
Modified: 2007-11-30 22:06 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-03-21 16:06:09 UTC


Attachments (Terms of Use)

Description Salvatore Insalaco 2003-03-20 19:31:11 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Macintosh; U; PPC Mac OS X Mach-O; en-US; rv:1.0.1)
Gecko/20030306 Camino/0.7

Description of problem:
During a PXE serial console installation the system is setted to boot from a
serial console (for example agetty is activated in inittab).
Unfortunately, grub starts without the "serial" and "terminal" options, and with
graphical splash screen, so it's totally unusable on terminal devices, even with
ones who have the "text to serial" option, as the HP Blade Servers.
There's also no option during the install to disable the grub graphical splash
screen.
RH 8.0 has the correct behaviour.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install RH EL AS 2.1 with PXE boot
2. Select grub as your default boot manager
3. Restart after the installation
    

Actual Results:  There's no grub screen, and no possibility to modify the
default options: if something is wrong in kernel parameters you have to
reinstall everything...

Expected Results:  Grub loads with the serial option

Additional info:

RH 8.0 has the correct behaviour

Comment 1 Jeremy Katz 2003-03-21 16:06:09 UTC
This is fixed in newer releases and will be reflected in the next release of Red
Hat Enterprise Linux


Note You need to log in before you can comment on or make changes to this bug.